Package org.eclipse.emf.compare.match.eobject

# Interface EqualityHelperExtensionProvider.Descriptor

All Known Implementing Classes:
  `EqualityHelperExtensionProviderDescriptorRCPImpl`

Enclosing interface:
  `EqualityHelperExtensionProvider`

public static interface EqualityHelperExtensionProvider.Descriptor
Wrapper describing the given equality helper extension provider.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`EqualityHelperExtensionProvider.Descriptor.Registry`
Registry of equality helper extension provider descriptors.

## Method Summary

Modifier and Type
Method
Description
`EqualityHelperExtensionProvider`
`getEqualityHelperExtensionProvider()`
Returns the wrapped equality helper extension provider.
`Pattern`
`getNsURI()`
Returns the pattern of namespace URI on which this equality helper extension provider can be applied.
`int`
`getRanking()`
Returns the ranking of this equality helper extension provider.

## Method Details

### getEqualityHelperExtensionProvider

EqualityHelperExtensionProvider getEqualityHelperExtensionProvider()
Returns the wrapped equality helper extension provider.

Returns:
  the wrapped equality helper extension provider

### getRanking

int getRanking()
Returns the ranking of this equality helper extension provider.

Returns:
  The ranking.

### getNsURI

Pattern getNsURI()
Returns the pattern of namespace URI on which this equality helper extension provider can be applied.

Returns:
  The namespace URI pattern.